<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Documentos de Especifição do Projeto</title>

    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: white;
        }

        header {
            background: linear-gradient(to right, #333, #38a5f3);
            color: white;
            padding: 40px;
            text-align: left;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        h1 {
            margin: 0;
        }
        
        #cur_page{
            background-color: #191c19;
        }

        /* buttons */
        .button-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-top: 10px;
            margin-bottom: 10px;
        }
        .button-container button {
            padding: 12px 20px;
            margin: 0 10px;
            border: none;
            border-radius: 25px;
            background-color: #38a5f3;
            color: white;
            font-size: 20px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            font-family: Calibri, sans-serif;
        }
        .button-container button:hover {
            background-color: #1e567e;
        }

        /* subsections */
        .subsection {
            background-color: white;
            padding: 20px;
            border: 1px solid white;
            margin-top: 10px;
            margin-bottom: 10px;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }

        .subsection hr {
            border: none;
            height: 2px;
            background-color: black;
            margin: 10px 0;
        }

        .large-image {
            width: 500%; /* Define a largura da imagem como 80% do seu contêiner */
            max-width: 8000px; /* Limita a largura máxima da imagem para 800 pixels */
        }



        /* tables */
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ccc;
            padding: 8px;
            text-align: center;
            font-size: 20px;
            font-family: Calibri, sans-serif;
        }
        th {
            background-color: #38a5f3;
            color: white;
            font-size: 25px;
            font-family: Calibri, sans-serif;
        }

        /* images */
        figure {
            display: inline-block;
            margin: 10px;
            width: 150px;
        }

        img {
            max-width: 100%;
            border-radius: 10px;
            height: auto;
        }

        figcaption {
            text-align: center;
            font-style: italic;
            margin-top: 5px;
        }
    </style>

</head>

<body>
    <header>
        <h1>PACTL-Sym Parser</h1>
    </header>

    <div class="button-container">
        <button onclick="location.href='../index.html'">Sobre o Projeto</button>
        <button id="cur_page">Documentos de Especificação do Projeto</button>
        <button onclick="location.href='../sprints/index.html'">Documentação das Sprints/Trabalho</button>
    </div>

    <hr>

    <div class="subsection">
        <h2>Léxico</h2>
        <table>
            <tr>
                <th>Termo</th>
                <th>Significado</th>
            </tr>

            <tr>
                <td>PDDL</td>
                <td>Planning Domain Description Language</td>
            </tr>
            <tr>
                <td>Parser</td>
                <td>Parser PDDL para BDDS (linguagem compatível com o algoritmo de busca)</td>
            </tr>
        </table>
    </div>

    <hr>

    <div class="subsection">
        <h2>Mapa de Requisitos</h2>
        <p>Parser PDDL para BDDS.</p>
        <p>Compatibilidade com os requisitos strips, typing e non-deterministic presentes na linguagem PDDL.</p>
        <p>Alta velocidade de processamento.</p>
    </div>

    <hr>

    <div class="subsection">
        <h2>Arquitetura</h2>
        <figure>
            <img src="ArquiteturaParser.png" alt="Arquitetura" class="large-image">
            </a>
        </figure>
    </div>

    <script>
        function scrollToIframe(iframeSrc) {
            const iframe = document.getElementById('iframeContent');
            iframe.src = iframeSrc;
            window.scrollTo({
                top: iframe.offsetTop,
                behavior: 'smooth'
            });
        }
    </script>
</body>
</html>